1 | 1 |
new file mode 100755 |
... | ... |
@@ -0,0 +1,21 @@ |
1 |
+#!/bin/sh |
|
2 |
+set -euC |
|
3 |
+ |
|
4 |
+# nfsn-dns-a DOMAIN NAME [IP]... |
|
5 |
+ |
|
6 |
+# nfsn-dns-a "example.com" "git" \ |
|
7 |
+# "$(curl -s "https://api.ipify.org")" |
|
8 |
+# nfsn-dns-a "example.com" "" \ |
|
9 |
+# "185.199.108.153" \ |
|
10 |
+# "185.199.109.153" \ |
|
11 |
+# "185.199.110.153" \ |
|
12 |
+# "185.199.111.153" |
|
13 |
+ |
|
14 |
+# Arguments. |
|
15 |
+ |
|
16 |
+domain="$1" ; shift |
|
17 |
+name="$1" ; shift |
|
18 |
+ |
|
19 |
+# Update. |
|
20 |
+ |
|
21 |
+nfsn-dns-update "$domain" "$name" "A" '' "$@" |